## org.hibernate.context
Class JTASessionContext.CleanupSynch

    java.lang.Object
      org.hibernate.context.JTASessionContext.CleanupSynch

All Implemented Interfaces:
  Synchronization

Enclosing class:
  JTASessionContext

    protected static class JTASessionContext.CleanupSynch

extends Object
implements Synchronization

JTA transaction synch used for cleanup of the internal session map.

Constructor Summary
`JTASessionContext.CleanupSynch(Object transactionIdentifier, JTASessionContext context)`

Method Summary
`void` `afterCompletion(int i)`
`void` `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTASessionContext.CleanupSynch

    public JTASessionContext.CleanupSynch(Object transactionIdentifier,
                                          JTASessionContext context)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int i)

  Specified by:
    `afterCompletion` in interface `Synchronization`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.